<script lang="ts">
  let data: UnknownRecord[] = [
    {
      image: 'src/lib/images/game-icons/GWCxvLVQw6o1Sct.webp',
      url: '#',
    },
    {
      image: 'src/lib/images/game-icons/lost-survivors.webp',
      url: '#',
    },
    {
      image: 'src/lib/images/game-icons/Paid_331_is.radiantgames.boxisland.paymium.jpg',
      url: '#',
    },
    {
      image: 'src/lib/images/game-icons/run-island.jpg',
      url: '#',
    },
  ];
</script>

<section>
  Official Community
  <ul>
    {#each data as d, index}
      <li>
        <a href={d.image}>
          <img
            src={d.image}
            alt="Image 1" />
        </a>
      </li>
    {/each}
  </ul>
</section>

<style lang="postcss">
  section {
    margin-bottom: 30px;
  }

  ul {
    display: flex;
    gap: 10px;

    li {
      width: 50%;
    }
  }

  img {
    width: 100%;
  }
</style>
